## IdeSearchResult IdeSearchResult |

## Functions

IdeSearchResult * | ide_search_result_new ()
IdeSourceLocation * | ide_search_result_get_source_location ()
gint | ide_search_result_compare ()
gint | ide_search_result_get_priority ()
void | ide_search_result_set_priority ()
gfloat | ide_search_result_get_score ()
void | ide_search_result_set_score ()
void | ide_search_result_set_icon ()

## Properties

gint | priority | Read / Write
gfloat | score | Read / Write

## Types and Values

#define | IDE_TYPE_SEARCH_RESULT
struct | IdeSearchResultClass
| IdeSearchResult

## Object Hierarchy

        GObject
        ╰── DzlSuggestion
            ╰── IdeSearchResult

## Description

## Functions

### ide_search_result_new ()

    IdeSearchResult *
    ide_search_result_new (void);

### ide_search_result_get_source_location ()

    IdeSourceLocation *
    ide_search_result_get_source_location (IdeSearchResult *self);

Gets the file associated with the search result if any.

Many search providers ultimately just open a file, so this may be used in lieu of handling the activate signal.

#### Parameters

self | a IdeSearchResult |

#### Returns

An IdeUri.

[transfer full][nullable]

### ide_search_result_compare ()

    gint
    ide_search_result_compare (gconstpointer a,
                               gconstpointer b);

### ide_search_result_get_priority ()

    gint
    ide_search_result_get_priority (IdeSearchResult *self);

### ide_search_result_set_priority ()

    void
    ide_search_result_set_priority (IdeSearchResult *self,
                                    gint priority);

### ide_search_result_get_score ()

    gfloat
    ide_search_result_get_score (IdeSearchResult *self);

### ide_search_result_set_score ()

    void
    ide_search_result_set_score (IdeSearchResult *self,
                                 gfloat score);

### ide_search_result_set_icon ()

    void
    ide_search_result_set_icon (IdeSearchResult *self,
                                GIcon *icon);

## Types and Values

### IDE_TYPE_SEARCH_RESULT

    #define IDE_TYPE_SEARCH_RESULT (ide_search_result_get_type())

### struct IdeSearchResultClass

    struct IdeSearchResultClass {
      DzlSuggestionClass parent_class;

      IdeSourceLocation *(*get_source_location) (IdeSearchResult *self);
    };

### IdeSearchResult

    typedef struct _IdeSearchResult IdeSearchResult;

## Property Details

### The `“priority”` property

      “priority”                 gint

The priority of search result group.

Flags: Read / Write

Default value: 0

### The `“score”` property

      “score”                    gfloat

The score of the result.

Flags: Read / Write

Allowed values: >= -1.17549e-38

Default value: 0